# Simple Network Management Protocol (SNMP) Agent

Simple Network Management Protocol (SNMP) minimizes the number and complexity of management functions. For monitoring and control, it is extensible to accommodate additional, possibly unanticipated aspects of network operation and management. SNMP is universal and independent of the architecture and mechanisms of particular hosts or particular gateways. SNMP server is supported either on the default or mgmt VRF.

## Configuration Commands

Enable SNMP agent:

```text
switch(config)# snmp-server vrf VRF
```

Configure the port to which the SNMP agent is bound:

```text
switch(config)# snmp-server agent-port PORT
```

Configure an SNMPv2c community name:

```text
switch(config)# snmp-server community NAME
```

Configure a SNMPv2c trap receiver host:

```text
switch(config)# snmp-server host IP-ADDR <trap|inform> version v2c [community NAME]
```

Show commands to validate functionality:

```text
show snmp [agent-port|community|trap|vrf] [vsx-peer]
```

## Example Output

```text
switch(config)# snmp-server vrf default
switch(config)# snmp-server agent-port 10601
switch(config)# snmp-server community public
switch(config)# snmp-server host 1.2.3.4 trap version v2c community public
switch(config)# snmp-server host 1.2.3.4 inform version v2c community public
switch(config)# end
show snmp community
---------------------
SNMP communities
---------------------
Public

show snmp vrf
SNMP enabled VRF
----------------------------
Default

show snmp agent-port
SNMP agent port : 10601
show snmp trap
------------------------------------------------------------------------------------------
Host                     Port  Type      Version SecName                         vrf
------------------------------------------------------------------------------------------
1.2.3.4                  162   trap      v2c     public                        default
1.2.3.4                  162   inform    v2c     public                        default
```

## Expected Results

1. Administrators can configure the port number
2. The output of all `show` commands is correct
3. Administrators can connect to the switch from the workstation

[Back to Index](../README.md)
