# Manual Switch Configuration

Some of the switch configuration is not generated by CANU and needs to be manually applied.

## Prerequisites

The custom switch configuration is backed up. See [Manual Switch Config](manual_switch_config.md).

## SNMP Configuration

SNMP is currently only used on sw-leaf-bmc switches, these credentials can be retrieved from Vault. More information on SNMP credentials can be found in the [Change SNMP Credentials on Leaf-BMC Switches](../../../operations/security_and_authentication/Change_SNMP_Credentials_on_Leaf_BMC_Switches.md) procedure.

Once these credentials are retrieved from vault, fill in the `xxxxxx` fields below and paste the commands into the switch.

### Aruba

```bash
conf t
```

Example output:

```text
snmp-server vrf default
snmpv3 user testuser auth md5 auth-pass plaintext xxxxxx priv des priv-pass plaintext xxxxxx
```

### Dell

```bash
conf t
```

Example output:

```text
snmp-server group cray-reds-group 3 noauth read cray-reds-view
snmp-server user xxxxxx cray-reds-group 3 auth md5 xxxxxx priv des xxxxxx
snmp-server view cray-reds-view 1.3.6.1.2 included
```

## Authentication Config

This is for all switches.

### Aruba

```bash
conf t
```

Example output:

```text
user admin group administrators password plaintext xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
```

### Dell

```bash
conf t
```

Example output:

```text
system-user linuxadmin password xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
username admin password xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx role sysadmin priv-lvl 15
```

### Mellanox

```bash
conf t
```

Example output:

```text
username admin password 0 xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
username monitor password 0 xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
```
