# Grafana Dashboards by Component

This document show the dashboards that are available for each component in Grafana.

A Grafana dashboard is a powerful open source analytical and visualization tool that consists of multiple individual panels arranged in a grid.
The panels interact with configured data sources, including the following:

- AWS CloudWatch
- Prometheus

**NOTE:** For known issues around some of the Grafana dashboards, see [Troubleshoot Grafana Dashboards](Troubleshoot_Grafana_Dashboard.md).

## Ceph

- Cluster
- Host
  - Overview
  - Details
- MDS Performance
- OSD
  - Overview
  - Device Details
- Pool
  - Overview
  - Details
- RBD Overview
- RGW
  - Overview
  - Instance Details

## CoreDNS

- CoreDNS

## ETCD

- Main
- Clusters

## Istio

- Mesh
- Performance
- Pilot
- Service
- Workload

## Kea

- DHCP

## Kubernetes

- API server
- Compute Resources
  - Compute Resources / Cluster
  - Compute Resources / Namespace (Pods)
  - Compute Resources / Namespace (Workloads)
  - Compute Resources / Node (Pods)
  - Compute Resources / Pod
  - Compute Resources / Workload
- Controller Manager
- `kubelet`
- Networking
  - Networking / Cluster
  - Networking / Namespace (Pods)
  - Networking / Namespace (Workload)
  - Networking / Pod
  - Networking / Workload
- Persistent Volumes
- Proxy
- Scheduler
- `StatefulSets`

## Nodes

- Exporter Full
- Main

## Postgres

- PostgreSQL Statistics

## Prometheus

- Prometheus

## Use Method

- Cluster
- Node
